curl --request PUT \
--url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'bodyParts={
"contentDisposition": {
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
},
"entity": {},
"headers": {},
"mediaType": {
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
},
"messageBodyWorkers": {},
"parameterizedHeaders": {},
"parent": {
"bodyParts": "<array>",
"contentDisposition": {
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
},
"entity": {},
"headers": {},
"mediaType": {
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
},
"messageBodyWorkers": {},
"parameterizedHeaders": {},
"parent": "<unknown>",
"providers": {}
},
"providers": {}
}' \
--form 'contentDisposition={
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
}' \
--form 'entity={}' \
--form 'fields={}' \
--form 'headers={}' \
--form 'mediaType={
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
}' \
--form 'messageBodyWorkers={}' \
--form 'parameterizedHeaders={}' \
--form 'parent={
"bodyParts": "<array>",
"contentDisposition": {
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
},
"entity": {},
"headers": {},
"mediaType": {
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
},
"messageBodyWorkers": {},
"parameterizedHeaders": {},
"parent": "<unknown>",
"providers": {}
}' \
--form 'providers={}'{
"datasourceId": 123,
"datasourceName": "<string>",
"previewLink": "<string>"
}curl --request PUT \
--url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'bodyParts={
"contentDisposition": {
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
},
"entity": {},
"headers": {},
"mediaType": {
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
},
"messageBodyWorkers": {},
"parameterizedHeaders": {},
"parent": {
"bodyParts": "<array>",
"contentDisposition": {
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
},
"entity": {},
"headers": {},
"mediaType": {
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
},
"messageBodyWorkers": {},
"parameterizedHeaders": {},
"parent": "<unknown>",
"providers": {}
},
"providers": {}
}' \
--form 'contentDisposition={
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
}' \
--form 'entity={}' \
--form 'fields={}' \
--form 'headers={}' \
--form 'mediaType={
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
}' \
--form 'messageBodyWorkers={}' \
--form 'parameterizedHeaders={}' \
--form 'parent={
"bodyParts": "<array>",
"contentDisposition": {
"creationDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"parameters": {},
"readDate": "2023-11-07T05:31:56Z",
"size": 123,
"type": "<string>"
},
"entity": {},
"headers": {},
"mediaType": {
"parameters": {},
"subtype": "<string>",
"type": "<string>",
"wildcardSubtype": true,
"wildcardType": true
},
"messageBodyWorkers": {},
"parameterizedHeaders": {},
"parent": "<unknown>",
"providers": {}
}' \
--form 'providers={}'{
"datasourceId": 123,
"datasourceName": "<string>",
"previewLink": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the datasource.
An array of BodyPart objects, each representing a part of the multipart form data.
Show child attributes
Show child attributes
An object representing the entity of the multipart form data, containing the actual data to be processed.
An object containing fields of the multipart form data, where each field can have multiple FormDataBodyPart items.
Show child attributes
An object containing headers associated with the multipart form data, where each header can have multiple string values.
Show child attributes
Show child attributes
An object representing workers that process the message body of the multipart form data.
An object containing parameterized headers, where each header can have multiple ParameterizedHeader items.
Show child attributes
Show child attributes
An object representing providers associated with the multipart form data.
successful operation
Was this page helpful?